iproute-1.7.14: IP Routing Table

Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.IP.Builder

Contents

- `BoundedPrim` `Builder`s for general, IPv4 and IPv6 addresses.

Synopsis

- ipBuilder :: IP -> Builder
- ipv4Builder :: IPv4 -> Builder
- ipv6Builder :: IPv6 -> Builder

# `BoundedPrim` `Builder`s for general, IPv4 and IPv6 addresses.

ipBuilder :: IP -> Builder Source #

`BoundedPrim` bytestring `Builder` for general `IP` addresses.

ipv4Builder :: IPv4 -> Builder Source #

`BoundedPrim` bytestring `Builder` for `IP` addresses.

ipv6Builder :: IPv6 -> Builder Source #

`BoundedPrim` bytestring `Builder` for `IP` addresses.